# Speed up a Rune Mint or Etch order

Bitcoin fee rates can fluctuate quickly when the network is congested. This can cause the transactions involved in your [Rune mint order ](/sats-connect/bitcoin-methods/mint-runes.md)or [Rune etch order](/sats-connect/bitcoin-methods/etch-runes.md) to remain stuck in the mempool, if the fee rate initially specified for your order has become too low for the present network conditions.\
\
You can use Sats Connect to speed up an order, using the [Replace-by-Fee (RBF)](https://www.xverse.app/blog/replace-by-fee-rbf) mechanism. Sats Connect will replace the stuck transactions with new transactions broadcast at a higher fee rate.

This documentation will guide you through the required steps:

1. Estimate the cost of a speeding up a Rune mint or etch order for your user -> see [runes\_estimateRbfOrder](/sats-connect/bitcoin-methods/speed-up-a-rune-mint-or-etch-order/runes_estimaterbforder.md)
2. Speed up your Rune mint or etch order, and prompt your user to sign the funding transaction required to process the order at an increased fee rate -> see [runes\_rbfOrder](/sats-connect/bitcoin-methods/speed-up-a-rune-mint-or-etch-order/runes_rbforder.md)
3. Fetch the new status of a Rune mint or etch order -> see [runes\_getOrder](/sats-connect/bitcoin-methods/runes_getorder.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/sats-connect/bitcoin-methods/speed-up-a-rune-mint-or-etch-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
